---
title: v0.5
---

## v0.5.0

### Bug Fixes
* Day content more vertically centered with `line-height: 1`
* Strip unused component props

### Improvements
* Support day popovers for attributes (custom slots supported). Closes #13.
* Support `dayPopoverContent` theme style
* Support multiple visibility options for navigation header ('hover', 'focus', 'visible', 'hidden')
* Simplified popover visibility state transitions
* Support `span` (day length) in place of `end` date for date ranges
* Add `targetDate` property to attributes passed in event handlers
* Extract touch handlers to separate state functions
* Require Vue v2.5.0+

## v0.5.1

### Bug Fixes
* Fix layout bugs in navigation popover

### Improvements
* Reorganize css variables. Improve default styling.

## v0.5.2

### Bug Fixes
* Fix bug for wrong/missing parameters passed on day events. Closes #33.

### Improvements
* Allow for custom cap styling for highlight and content style attributes.
* Add `show-caps` prop for date pickers
* Add Swedish translation.

## v0.5.3

### Bug Fixes
* Detect date range intersections with `disabled-dates`. Closes #12.

## v0.5.4

### Bug Fixes
* Pass missing `page` attribute to `header-title` slot
* Fade input text when dragging date ranges in `v-date-picker`

### Improvements
* Add `pane-width` prop to `v-calendar` for setting pane width manually
* Add `pane-width` as a configurable default setting
* Add `shortMonthLabel` and `shortYearLabel` properties to `page` objects
* Disable pointer events for day cells not in month if `opacity: 0` in `theme-styles.dayCellNotInMonth` style

### Improvements
* Added `componentPrefix` constructor option when using plugin. Closes #37.
* Redesigned popover for selected and dragged regions in `v-date-picker`.
* Input elements in `v-date-packer` no longer require `readonly` attribute when using date patterns with `disabled-dates` or `available-dates`.
* Popovers for selected and dragged regions can be hidden via `show-popover` prop in `v-date-picker`.
* Use custom component for popover attributes via the `component` property.
* Testing framework moved to Jest. Added tests for detecting date collisions.
* Update README for more clear introduction guide.

## v0.5.5

### Bug Fixes
* Fix miscalculation of day numbers for previous months when `firstDayOfWeek !== 1`. Closes #44.
